Update a leads qualification configuration
curl --request POST \
--url https://api.yorlet.com/v1/leads/qualification_configurations/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"required": true,
"options": [
"<string>"
]
}
],
"default": true,
"description": "<string>",
"questions": {},
"allowed_origins": [
"<string>"
],
"metadata": {},
"name": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/leads/qualification_configurations/{id}"
payload = {
"active": True,
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"required": True,
"options": ["<string>"]
}
],
"default": True,
"description": "<string>",
"questions": {},
"allowed_origins": ["<string>"],
"metadata": {},
"name": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
custom_questions: [{id: '<string>', label: '<string>', required: true, options: ['<string>']}],
default: true,
description: '<string>',
questions: {},
allowed_origins: ['<string>'],
metadata: {},
name: '<string>'
})
};
fetch('https://api.yorlet.com/v1/leads/qualification_configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/leads/qualification_configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'custom_questions' => [
[
'id' => '<string>',
'label' => '<string>',
'required' => true,
'options' => [
'<string>'
]
]
],
'default' => true,
'description' => '<string>',
'questions' => [
],
'allowed_origins' => [
'<string>'
],
'metadata' => [
],
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/leads/qualification_configurations/{id}"
payload := strings.NewReader("{\n \"active\": true,\n \"custom_questions\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"options\": [\n \"<string>\"\n ]\n }\n ],\n \"default\": true,\n \"description\": \"<string>\",\n \"questions\": {},\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/leads/qualification_configurations/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"custom_questions\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"options\": [\n \"<string>\"\n ]\n }\n ],\n \"default\": true,\n \"description\": \"<string>\",\n \"questions\": {},\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/leads/qualification_configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"custom_questions\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"options\": [\n \"<string>\"\n ]\n }\n ],\n \"default\": true,\n \"description\": \"<string>\",\n \"questions\": {},\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "leads.qualification_configuration",
"active": true,
"after_completion": {
"type": "hosted_confirmation",
"hosted_confirmation": {
"custom_message": "<string>"
},
"redirect": {
"url": "<string>"
}
},
"default": true,
"description": "<string>",
"hosted_qualification_url": "<string>",
"name": "<string>",
"token": "<string>",
"allowed_origins": [
"<string>"
],
"questions": {
"move_in_date": {
"enabled": true,
"required": false
},
"budget": {
"enabled": true,
"required": false,
"min_budget": null,
"max_budget": null
},
"household": {
"enabled": true,
"required": false,
"ask_occupants": true,
"ask_children": false,
"max_occupants": null
},
"pets": {
"enabled": true,
"required": false,
"allowed": true,
"allowed_types": null,
"max_pets": null
},
"employment": {
"enabled": true,
"required": false,
"ask_employer": false,
"ask_income": false,
"accepted_statuses": [
"employed",
"self_employed",
"student",
"retired",
"benefits",
"other"
]
},
"smoking": {
"enabled": false,
"required": false,
"non_smokers_only": false
},
"current_situation": {
"enabled": false,
"required": false,
"ask_reason_for_moving": false,
"ask_current_landlord": false
},
"right_to_rent": {
"enabled": false,
"required": false
},
"guarantor": {
"enabled": false,
"required": false
}
},
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"required": false
}
],
"account": "<string>",
"deleted": false,
"metadata": {}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
Whether the qualification configuration is active.
Configuration for after the qualification is submitted.
Show child attributes
Show child attributes
Custom freeform questions to ask leads.
Show child attributes
Show child attributes
Whether this is the default qualification configuration.
An arbitrary description attached to the object.
Set of standard qualification questions to ask leads.
Show child attributes
Show child attributes
Website origins allowed to embed this form. Leave empty to allow the form on any website.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
1Response
Returns the leads qualification configuration object if the update succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
leads.qualification_configuration Whether the qualification configuration is active.
Configuration for after the qualification is completed.
Show child attributes
Show child attributes
Whether this is the default qualification configuration.
An arbitrary description attached to the object.
The URL for the hosted qualification form.
The name of the qualification configuration.
The hosted form token (qct_…). Pass this to Yorlet.js to embed the form on your website.
Website origins allowed to embed this form. An empty list allows the form to be embedded on any website.
Set of standard qualification questions to ask leads.
Show child attributes
Show child attributes
Custom freeform questions to ask leads.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/leads/qualification_configurations/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"required": true,
"options": [
"<string>"
]
}
],
"default": true,
"description": "<string>",
"questions": {},
"allowed_origins": [
"<string>"
],
"metadata": {},
"name": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/leads/qualification_configurations/{id}"
payload = {
"active": True,
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"required": True,
"options": ["<string>"]
}
],
"default": True,
"description": "<string>",
"questions": {},
"allowed_origins": ["<string>"],
"metadata": {},
"name": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
custom_questions: [{id: '<string>', label: '<string>', required: true, options: ['<string>']}],
default: true,
description: '<string>',
questions: {},
allowed_origins: ['<string>'],
metadata: {},
name: '<string>'
})
};
fetch('https://api.yorlet.com/v1/leads/qualification_configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/leads/qualification_configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'custom_questions' => [
[
'id' => '<string>',
'label' => '<string>',
'required' => true,
'options' => [
'<string>'
]
]
],
'default' => true,
'description' => '<string>',
'questions' => [
],
'allowed_origins' => [
'<string>'
],
'metadata' => [
],
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/leads/qualification_configurations/{id}"
payload := strings.NewReader("{\n \"active\": true,\n \"custom_questions\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"options\": [\n \"<string>\"\n ]\n }\n ],\n \"default\": true,\n \"description\": \"<string>\",\n \"questions\": {},\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/leads/qualification_configurations/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"custom_questions\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"options\": [\n \"<string>\"\n ]\n }\n ],\n \"default\": true,\n \"description\": \"<string>\",\n \"questions\": {},\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/leads/qualification_configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"custom_questions\": [\n {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"options\": [\n \"<string>\"\n ]\n }\n ],\n \"default\": true,\n \"description\": \"<string>\",\n \"questions\": {},\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"metadata\": {},\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "leads.qualification_configuration",
"active": true,
"after_completion": {
"type": "hosted_confirmation",
"hosted_confirmation": {
"custom_message": "<string>"
},
"redirect": {
"url": "<string>"
}
},
"default": true,
"description": "<string>",
"hosted_qualification_url": "<string>",
"name": "<string>",
"token": "<string>",
"allowed_origins": [
"<string>"
],
"questions": {
"move_in_date": {
"enabled": true,
"required": false
},
"budget": {
"enabled": true,
"required": false,
"min_budget": null,
"max_budget": null
},
"household": {
"enabled": true,
"required": false,
"ask_occupants": true,
"ask_children": false,
"max_occupants": null
},
"pets": {
"enabled": true,
"required": false,
"allowed": true,
"allowed_types": null,
"max_pets": null
},
"employment": {
"enabled": true,
"required": false,
"ask_employer": false,
"ask_income": false,
"accepted_statuses": [
"employed",
"self_employed",
"student",
"retired",
"benefits",
"other"
]
},
"smoking": {
"enabled": false,
"required": false,
"non_smokers_only": false
},
"current_situation": {
"enabled": false,
"required": false,
"ask_reason_for_moving": false,
"ask_current_landlord": false
},
"right_to_rent": {
"enabled": false,
"required": false
},
"guarantor": {
"enabled": false,
"required": false
}
},
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"required": false
}
],
"account": "<string>",
"deleted": false,
"metadata": {}
}